# GenericDocumentRecognizerJsonConfiguration class

Implementers
  - GenericDocumentRecognizerConfiguration
Annotations
  - @JsonSerializable(includeIfNull: false, createFactory: false, explicitToJson: true)

## Constructors

GenericDocumentRecognizerJsonConfiguration({String? version, String? screen, bool? flashEnabled, OrientationLockMode? orientationLockMode, CameraModule? cameraModule, Color? topBarBackgroundColor, Color? topBarButtonsActiveColor, Color? topBarButtonsInactiveColor, Color? cameraOverlayColor, Color? finderLineColor, double? finderLineWidth, Color? fieldsCountTextColor, Color? fieldConfidenceHighColor, Color? fieldConfidenceModerateColor, Color? fieldConfidenceLowColor, Color? fieldConfidenceTextColor, Color? tipTextColor, Color? tipBackgroundColor, Color? detailsBackgroundColor, Color? detailsPrimaryColor, Color? detailsActionColor, Color? detailsSectionHeaderTextColor, Color? detailsSectionHeaderBackgroundColor, String? cancelButtonTitle, bool? cancelButtonHidden, String? clearButtonTitle, String? submitButtonTitle, String? fieldsCountText, String? confidenceValue, String? scanBackSideTitle, String? scanFrontSideTitle, String? startScanningTitle, String? scannedEverythingTitle, String? emptyValueTitle, String? enableCameraButtonTitle, String? enableCameraExplanationText, String? imageTitle, String? noDataTitle, List<GenericDocumentType>? acceptedDocumentTypes, double? sharpnessAcceptanceFactor, List<FieldsDisplayConfiguration>? fieldsDisplayConfiguration, List<DocumentsDisplayConfiguration>? documentsDisplayConfiguration, List<String>? excludedFieldTypes, bool? flashButtonHidden, String? flashButtonTitle, bool? useButtonsAllCaps, bool? replaceCancelButtonWithIcon, CameraPreviewMode? cameraPreviewMode, bool? touchToFocusEnabled})

## Properties

acceptedDocumentTypes ↔ List<GenericDocumentType>?
  Accepted document types. All other document types will be ignored. Default: All types.
  getter/setter pair
cameraModule ↔ CameraModule?
  Preferred camera module (Default: BACK).
  getter/setter pair
cameraOverlayColor ↔ Color?
  Background color outside of the finder window.
  getter/setter pair
cameraPreviewMode ↔ CameraPreviewMode?
  Preview mode of the camera. FILL_IN or FIT_IN. Default is FILL_IN. Android only.
  getter/setter pair
cancelButtonHidden ↔ bool?
  Whether to hide the cancel button. iOS only.
  getter/setter pair
cancelButtonTitle ↔ String?
  Title of the cancel button.
  getter/setter pair
clearButtonTitle ↔ String?
  Title of the clear button.
  getter/setter pair
confidenceValue ↔ String?
  String that shows the average confidence value of the scanned document. Use %d as the number formatting symbol.
  getter/setter pair
detailsActionColor ↔ Color?
  Color of the Submit button.
  getter/setter pair
detailsBackgroundColor ↔ Color?
  Color of the bottom sheet.
  getter/setter pair
detailsPrimaryColor ↔ Color?
  Color of the text elements in the bottom sheet.
  getter/setter pair
detailsSectionHeaderBackgroundColor ↔ Color?
  Background color for the section headers on the details screen. iOS only.
  getter/setter pair
detailsSectionHeaderTextColor ↔ Color?
  Text color for the section headers on the details screen. iOS only.
  getter/setter pair
documentsDisplayConfiguration ↔ List<DocumentsDisplayConfiguration>?
  Allows you to configure the display configuration for documents.
  getter/setter pair
emptyValueTitle ↔ String?
  String displayed for empty values. iOS only.
  getter/setter pair
enableCameraButtonTitle ↔ String?
  Title of the button that opens the screen where the user can allow the app to use the camera.
  getter/setter pair
enableCameraExplanationText ↔ String?
  Text that will be displayed when the app is not allowed to use the camera, prompting the user to enable the usage of the camera.
  getter/setter pair
excludedFieldTypes ↔ List<String>?
  List of secure fields that should be excluded from the scanning process. All other fields will be scanned as usual. Field should be set ONLY as a normalized field name. Example: `DePassport.BirthDate` or `DePassport.Birthplace`.
  getter/setter pair
fieldConfidenceHighColor ↔ Color?
  Color of the confidence value label background in the details screen when the field confidence level is high.
  getter/setter pair
fieldConfidenceLowColor ↔ Color?
  Color of the confidence value label background in the details screen when the field confidence level is low.
  getter/setter pair
fieldConfidenceModerateColor ↔ Color?
  Color of the confidence value label background in the details screen when the field confidence level is moderate.
  getter/setter pair
fieldConfidenceTextColor ↔ Color?
  Color of the confidence value label text in the details.
  getter/setter pair
fieldsCountText ↔ String?
  String used for displaying the amount of detected fields. Use %d for the number formatting symbol.
  getter/setter pair
fieldsCountTextColor ↔ Color?
  Text color of the fields count label.
  getter/setter pair
fieldsDisplayConfiguration ↔ List<FieldsDisplayConfiguration>?
  Allows you to configure the display configuration for fields.
  getter/setter pair
finderLineColor ↔ Color?
  Foreground color of the detection overlay.
  getter/setter pair
finderLineWidth ↔ double?
  Width of the finder frame border. Default is 2.
  getter/setter pair
flashButtonHidden ↔ bool?
  Whether to hide the flash toggle button.
  getter/setter pair
flashButtonTitle ↔ String?
  Title of the flash toggle button.
  getter/setter pair
flashEnabled ↔ bool?
  Whether the flash should be initially enabled. The default value is FALSE.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
imageTitle ↔ String?
  A title to show image content. Android only.
  getter/setter pair
noDataTitle ↔ String?
  String that notifies the user that nothing was scanned yet.
  getter/setter pair
orientationLockMode ↔ OrientationLockMode?
  Lock mode for the UI's orientation.
  getter/setter pair
replaceCancelButtonWithIcon ↔ bool?
  Whether to replace the cancel button in the top bar with a back arrow icon. The default value is FALSE. Android only.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
scanBackSideTitle ↔ String?
  String that asks the user to scan the back side of the document.
  getter/setter pair
scanFrontSideTitle ↔ String?
  String that asks the user to scan the front side of the document.
  getter/setter pair
scannedEverythingTitle ↔ String?
  String that notifies the user that both sides of the document have been scanned.
  getter/setter pair
screen ↔ String?
  The configuration object should be applied for this screen
  getter/setter pair
sharpnessAcceptanceFactor ↔ double?
  Accepted minimal sharpness score. Images with a score less than that will be rejected with RecognitionStatus::ErrorTooBlurry. Default is 80. 0: any image will be accepted. 80: a good compromise and the recommended setting. 100: only very sharp images will be accepted.
  getter/setter pair
startScanningTitle ↔ String?
  String that asks the user to start scanning the document.
  getter/setter pair
submitButtonTitle ↔ String?
  Text of the button to finish the scanning flow.
  getter/setter pair
tipBackgroundColor ↔ Color?
  Color of the tip background on the scanning screen.
  getter/setter pair
tipTextColor ↔ Color?
  Color of the tip text on the scanning screen.
  getter/setter pair
topBarBackgroundColor ↔ Color?
  Background color of the top toolbar.
  getter/setter pair
topBarButtonsActiveColor ↔ Color?
  Color of all active toggle buttons in the toolbar.
  getter/setter pair
topBarButtonsInactiveColor ↔ Color?
  Color of all inactive toggle buttons in the toolbar.
  getter/setter pair
touchToFocusEnabled ↔ bool?
  Whether touch-to-focus is enabled on the camera preview. Enabled by default. Android only.
  getter/setter pair
useButtonsAllCaps ↔ bool?
  Whether buttons should use all-capitals style, as defined by the Android Material Design. Defaults to TRUE. Android only.
  getter/setter pair
version ↔ String?
  Version of the configuration object.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited